# PetscViewerASCIIGetStderr

Creates a ASCII PetscViewer shared by all processors in a communicator. Error returning version of PETSC_VIEWER_STDERR_()

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerASCIIGetStderr(MPI_Comm comm,PetscViewer *viewer)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the PetscViewer

### Notes

This should be used in all PETSc source code instead of PETSC_VIEWER_STDERR_()

### See Also

PETSC_VIEWER_DRAW_(), PetscViewerASCIIOpen(), PETSC_VIEWER_STDERR_, PETSC_VIEWER_STDERR_WORLD,
PETSC_VIEWER_STDERR_SELF

Level:beginner
Location: src/sys/viewer/impls/ascii/vcreatea.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages